---
id: log-specification-delete
title: "Delete log specification"
description: "Delete a specific log specification by its ID."
sidebar_label: "Delete log specification"
hide_title: true
hide_table_of_contents: true
api: eJzdVlFv2zYQ/ivEPbWAartNsge9ZUmGZehD0LpogSQIzuJZYkuRCnnM4hn678NJiiPZwdYN2AbMD7JEHO++++478rYQqUjB8Aby6y2sCAOF08QV5Ne37W0GjGWE/Bre+1LFhgqzNgWy8Q5uM3h845K1jUVe+1BDvoXC1zU6feewJshhbn05n25rM9AUi2Ca7jOHc7LEpHDnXtn9WGq1UYajujyfQQa+odAtX2rIwfrybmKc684hZNBgwJqYQuySMxKtQa4ggwGf0ZBBoPtkAmnIOSTKIBYV1SjZ8KYRq8jBuPIQ+bIilZy5T6Quz5VfK67oBfDsVQ9JwNMj1o0Vr0fHJz+AUBwoNt5FihLy3WIhf9NAB+SrmIqCYlwnazeDdz0ThMdfvhzuP7OGHCsKwQe1C6d0IgFn3ANao5VxTWLlg6pNjMaV6pk/QV54x+RYvGPT2AHJ/GuUENtD1vzqKxU84fcaIiOneOa11KfDAxnUFCOWJIpqglSXTU/GyPrZr3FMJcm+aZI/L5dXqt+hCq9JBWoCRXIsuUhpdgIrxny8olk5y9TxYiGPt/I4ksfx60m9jheLVkiYYBmUsQ/lVNVYVMbRm0CocWVpiNXh4gpZFchU+mB+o9hjo/BAQa3R2BT2lLJCfSckUmQpcU/bd4BYBUPrTFWpRveMZGT1pNkenLh7YuMGfkStPvRBb0AWPjlMXHWQ9Q1MyRlbC8Sniv45SK2NvKJVmhiNjQpXPvEzrGkcabmBCvUrRlWjlaOHtOrYdYzGkd5JeqzgtvtlcPJSh3zs6d/vEON0p3NXKnTKxJhISUdXpE6vLlU0mv5nrRHHRAxiOJHWOFm8k8fRtPAn/11XSLLBob3rje56yv61/rgcwqtBOhdi03eKrJiC1CeHD2iseD1omBe3/6Otc+pUcvTYUMGkh5R8UaQQSM/UlSWMpDhsFJZonLLIFJ66Rlh9ZHLReNdfpt9oA/n+AJDBA9pE3zkIyN1XE1dervHRpS3DB8ylp4IX3452u+dbo1vIoC95jyQFCzlUzE3M53NszGyMaVb4+oC6q+B1KvqLtPPU3cNPk9BHade+y8bz0K4eEgqGMaE7njsjyIaXn3yokSGHXz4vQZgzbu277Ya7Qpz1makuNeGMQuxxvZ0tZgsRQeMj19gdHgOBw5R0MF3s57Z9Poz++mQ1JMj0yPPGoummtY7f7VCXaxjXBTIZv4SLhgrIIDdaTqrKRxbT7XaFkT4F27ayfJ8oyJh5KzIJRtqiK6A2Ud415Gu0kf4goVcfhvPytfo7s9eL6Q2L6DbP8gXIBoEbDe1tm0FFqCmMlH9aFNTwaMvBwT+R9/nF+4vlBWSAUy3taacL8CKi7ba3WPpv5Np2B5DlWzC27e/7dRVA
sidebar_class_name: "delete api-method"
info_path: docs/api/control-plane
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Delete log specification"}
>
</Heading>

<MethodEndpoint
  method={"delete"}
  path={"/controlplane/log/spec/{id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Delete a specific log specification by its ID.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"The unique ID of the log specification to delete.","example":"3456"}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"Log specification successfully deleted."},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific client error (e.g., 400, 401, 403, 404).","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"bad_request"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Bad Request\", \"Unauthorized\").","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error (e.g., 500, 502, 503).","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Internal Server Error\", \"Service Unavailable\").","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred. Please try again later."}}}}}}}}
>
  
</StatusCodes>


      